Update an Optionlist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
PUT /profiles/{profile_id}/optionlists/{optionlist_id}

Path parameters

  • profile_id string Required

    id of the profile

  • optionlist_id number Required

    id of the optionlist

application/json

Body

  • name string
  • option_icons string
  • reference_id string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated optionlist id

PUT /profiles/{profile_id}/optionlists/{optionlist_id}
curl \
 --request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/optionlists/{optionlist_id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"System Grade","option_icons":"dropbox://iForm","reference_id":"string"}'
Request examples
{
  "name": "System Grade",
  "option_icons": "dropbox://iForm",
  "reference_id": "string"
}
Response examples (200)
{
  "id": 393655
}